Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class ComponentMessageNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.ComponentMessageNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class ComponentMessageNotification

extends ServerNotification

These notifications are fired when before and after a service component is invoked.

See Also:
  Serialized Form

Field Summary
`static int` | `COMPONENT_POST_INVOKE`
`static int` | `COMPONENT_PRE_INVOKE`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ComponentMessageNotification(MuleMessage message, Component component, FlowConstruct flowConstruct, int action)`

Method Summary
`protected String` | `getPayloadToString()`
`String` | `getServiceName()`
`String` | `getType()`
`String` | `toString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPONENT_PRE_INVOKE

    public static final int COMPONENT_PRE_INVOKE

See Also:
  Constant Field Values

### COMPONENT_POST_INVOKE

    public static final int COMPONENT_POST_INVOKE

See Also:
  Constant Field Values

Constructor Detail

### ComponentMessageNotification

    public ComponentMessageNotification(MuleMessage message,
                                        Component component,
                                        FlowConstruct flowConstruct,
                                        int action)

Parameters:
  `message` -
  `action` -

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

### getServiceName

    public String getServiceName()

  Returns:
    the message

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

### getType

    public String getType()

  Overrides:
    `getType` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.